Subject: Re: bug#56826: Inserted text in docstrings and buffers not formatting text into full lines and paragraphs.

From: [email-masked]
Date: Sat, 30 Jul 2022 15:25:17 +0200 (CEST)

Jul 30, 2022, 13:18 by [email-masked]:

>
> Jul 30, 2022, 13:02 by [email-masked]:
>
>> [email-masked] writes:
>>
>>> Have seen that docstrings and inserted text in a created buffer
>>> display them in verbatim mode.  Does not seem possible to format  text
>>> into paragraphs.
>>>
>>
>> Sorry; I'm unable to parse that paragraph.
>>

When I write a docstring, what is written in the buffer upon hitting `C-h f fun` shows the same formatting as was coded in the docstring.  Last word on each line is the last word on each line printed in the function documentation buffer.

>>> For instance, doing the following in org-mode
>>>
>>> For a lengthy list of examples, see:
>>> [[https://www.gnu.org/proprietary/proprietary.html][Malicious
>>> Functionalities]]
>>>
>>> results in
>>>
>>> For a lengthy list of examples, see:
>>> Malicious
>>> Functionalities
>>>
>>> Rather than 
>>>
>>> For a lengthy list of examples, see: Malicious Functionalities
>>>
>>
>> Is this a bug report about org-mode or doc strings?
>>
> I am not sure.  Is there a feature in emacs to write text based on full lines (based on fill column) and paragraph filling?
>